[saem-devel] [PATCH 04 of 12] [pkg] Depends on cubicweb 3.24

saem-devel at lists.cubicweb.org saem-devel at lists.cubicweb.org
Wed Jan 25 13:23:23 CET 2017


# HG changeset patch
# User Sylvain Thénault <sylvain.thenault at logilab.fr>
# Date 1485266598 -3600
#      Tue Jan 24 15:03:18 2017 +0100
# Node ID 5757330bc7e8c3d35c88169569d32e33c8236c71
# Parent  9fe81ffb04a901db0bc0207eabc35c26984d26e3
[pkg] Depends on cubicweb 3.24

which include cubicweb-pyramid as a flavor.

diff --git a/__pkginfo__.py b/__pkginfo__.py
--- a/__pkginfo__.py
+++ b/__pkginfo__.py
@@ -19,7 +19,8 @@ description = "Référenciel de Système
 web = 'http://www.cubicweb.org/project/%s' % distname
 
 __depends__ = {
-    'cubicweb': '>= 3.23.0',
+    'cubicweb': '>= 3.24.0',
+    'cubicweb[pyramid]': None,
     'cubicweb-squareui': None,
     'cubicweb-eac': None,
     'cubicweb-seda': '>= 0.5.1',
@@ -28,7 +29,6 @@ web = 'http://www.cubicweb.org/project/%
     'cubicweb-relationwidget': '>= 0.3.3',
     'cubicweb-skos': '>= 1.0.0',
     'cubicweb-prov': None,
-    'cubicweb-pyramid': None,
     'cubicweb-vtimeline': None,
     'cubicweb-signedrequest': None,
     'python-dateutil': None,
diff --git a/cubicweb-saem-ref.spec b/cubicweb-saem-ref.spec
--- a/cubicweb-saem-ref.spec
+++ b/cubicweb-saem-ref.spec
@@ -20,7 +20,7 @@ BuildArch:      noarch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
 
 BuildRequires:  %{python} %{python}-setuptools
-Requires:       cubicweb >= 3.23.0
+Requires:       cubicweb >= 3.24.0
 Requires:       cubicweb-squareui
 Requires:       cubicweb-eac
 Requires:       cubicweb-seda >= 0.5.1
@@ -29,7 +29,6 @@ Requires:       cubicweb-oaipmh >= 0.3.0
 Requires:       cubicweb-relationwidget >= 0.3.3
 Requires:       cubicweb-skos >= 1.0.0
 Requires:       cubicweb-prov
-Requires:       cubicweb-pyramid
 Requires:       cubicweb-vtimeline
 Requires:       cubicweb-signedrequest
 Requires:       python-dateutil
diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -11,7 +11,7 @@ X-Python-Version: >= 2.6
 Package: cubicweb-saem-ref
 Architecture: all
 Depends:
- cubicweb-common (>= 3.23.0),
+ cubicweb-common (>= 3.24.0),
  cubicweb-squareui,
  cubicweb-eac,
  cubicweb-seda (>= 0.5.1),
@@ -20,7 +20,6 @@ Depends:
  cubicweb-relationwidget (>= 0.3.3),
  cubicweb-skos (>= 1.0.0),
  cubicweb-prov,
- cubicweb-pyramid,
  cubicweb-vtimeline,
  cubicweb-signedrequest,
  python-dateutil,
diff --git a/migration/0.14.0_Any.py b/migration/0.14.0_Any.py
--- a/migration/0.14.0_Any.py
+++ b/migration/0.14.0_Any.py
@@ -15,3 +15,5 @@ rql('SET OU use_authorityrecord AR WHERE
 commit(ask_confirm=False)
 
 add_attribute('Organization', 'ark')
+
+drop_cube('pyramid')


More information about the saem-devel mailing list